function showfigure4

p0=2e-5; 
f=(10:1:10000); f=f(:); w=2*pi*f;

ls1=LowBl
ls2=MediumBl
ls3=HighBl

figure(1)
clf;
ls1.Rr=real(eq17(ls1.a,w));
ls2.Rr=real(eq17(ls2.a,w));
ls3.Rr=real(eq17(ls3.a,w));

% 1W at Voice coil dc resitance 
P(:,1)=eq11(ls1,sqrt(ls1.Re),w);  
P(:,2)=eq11(ls2,sqrt(ls2.Re),w);  
P(:,3)=eq11(ls3,sqrt(ls3.Re),w);  

figure(1)
clf;

semilogx(f, 20*log10(abs(P)/p0));
xlabel('Frequency (Hz)')
ylabel('P (dB)')
grid on
legend('Low Bl', 'Medium Bl', 'High Bl');
