function ls=eq13(ls) 
    ls.Qm =sqrt(ls.kt.*ls.mt)./ls.Rm;
    ls.Qe =ls.Re.*sqrt(ls.kt.*ls.mt)./ls.Bl.^2;
    ls.te =ls.Le./ls.Re;

    if (ls.Rr==0)
        % Ignore radiation impedance...
        ls.Qr = Inf;
        ls.Qmr = ls.Qm;
    else
        % radiation impedance...
        ls.Qr =sqrt(ls.kt.*ls.mt)./ls.Rr;
        ls.Qmr=ls.Qm.*ls.Qr./(ls.Qm + ls.Qr);
    end
    