function showfigure1
% figure 1 of paper

f=(10:1:10000); f=f(:); w=2*pi*f;

ls=MediumBl;
E=sqrt(ls.Re);          % 1W at Voice coil dc resitance 

figure(1)
clf;
X=eq7(ls,E,w);          % cone displacement
V=X2V(X, w);            % cone velocity
P=eq10(ls,X,w);         % sound pressure
Zrad=eq17(ls.a, w);     % radiation impedance
semilogx(f, 20*log10(abs([X V P real(Zrad)])));
legend('displacement','velocity','sound pressure','radiation impedance');
xlabel('Frequency (Hz)');
