function showpistonsoundpressure

f=(10:10:10000); f=f(:); w=2*pi*f;

a=0.1;                       % cone radius
r=1;                         % receiver distance
V=1./(1i.*w);                % get velocity from presure
theta=[0.0001 15 30 45 60];  % angles

for n=1:length(theta)
    P(n,:)=eq24(a,r,pi*theta(n)/180,V,w);
end

figure(1)
clf;

semilogx(f, 20*log10(abs(P)));
legend('0\circ','15\circ','30\circ','45\circ','60\circ');
xlabel('Frequency (Hz)')
ylabel('P (dB)')
grid on
set(gca,'ylim', [-100 -40]);   




